#
# spec file for package python-dash-core-components
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%define skip_python2 1
Name:           python-dash-core-components%{psuffix}
Version:        1.9.1
Release:        bp156.3.1
Summary:        Core component suite for Dash
License:        MIT
URL:            https://github.com/plotly/dash-core-components
Source:         https://github.com/plotly/dash-core-components/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-dash
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module dash}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module selenium}
%endif
%python_subpackages

%description
Core component suite for Dash

%prep
%setup -q -n dash-core-components-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
# needs working selenium and chromedriver
# when fixed this should be enabled
#%%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/dash_core_components
%{python_sitelib}/dash_core_components-%{version}-py*.egg-info
%endif

%changelog
* Sat Apr 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 1.9.1:
  * Changed
    + #740 Keep components that are loading in the DOM, but not
    visible, as opposed to removing them entirely. This will ensure
    that the size of the component's container does not shrink or
    expand when the component goes into the loading state.
  * Fixed
    + #740 Fixed bug in which mapbox uirevision was not behaving when
    inside a dcc.Loading component
- changes from version 1.9.0:
  * Changed
    + #766 Update from React 16.8.6 to 16.13.0
    + #768 Added title property to dcc.Link
    + #776 Update dcc.Link to set href as children if children not
    defined. Makes href a required prop as well.
    + #767 Updated dcc.Link to respond to click modifiers, and added a
    target prop.
    + #774 Fixed dcc.Location firing callbacks for wrong property.
    + 772 Modified dcc.Link to work with absolute paths if
    refresh=True.
  * Updated
    + #784 Feature release of Plotly.js 1.53.0 which contains:
    o rangebreaks on date axes #4614
    o (x|y) unified hovermode #4620
    o "hovered data" mode to spikesnap #4665
    o "full-json" export format to Plotly.toImage and
    Plotly.dowloadImage #4593
    o node.customdata and link.customdata in sankey traces #4621
    o opacityscale for surface traces #4480
* Tue Mar 31 2020 Tomáš Chvátal <tchvatal@suse.com>
- Disable tests for now as selenium explodes
* Tue Mar 31 2020 Tomáš Chvátal <tchvatal@suse.com>
- Install license and docs
- Remove unneeded deps
- Add required deps
- Run tests
* Mon Mar 30 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.8.1
